%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary:	Extract data compressed with PKWARE Data Compression Library
Name:		dynamite
Version:	0.1
Release:	%mkrel 4
License:	MIT
Group:		Archiving/Other
Source:		http://ovh.dl.sourceforge.net/sourceforge/synce/%{name}.tar.gz
URL:		http://synce.sourceforge.net/
BuildRequires:	gettext-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Dynamite is a tool and library for decompressing data compressed with
PKWARE Data Compression Library and it was created from the
specification provided by a post in the comp.compression newsgroup.

%package -n     %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Shared libraries for %{name}.


%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname dynamite 0 -d}

%description -n %{develname}
Development headers for %{name}.

%prep
%setup -q -n %{name}
./bootstrap

%build
%configure
make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/dynamite

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdynamite.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/libdynamite.h
%{_libdir}/libdynamite.so
%{_libdir}/libdynamite.a
%{_libdir}/libdynamite.la
%{_datadir}/aclocal/dynamite.m4



%changelog
* Fri Feb 15 2008 Adam Williamson <awilliamson@mandriva.com> 0.1-4mdv2008.1
+ Revision: 168722
- buildrequires gettext-devel
- rebuild for new era
- new -devel policy
- spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill changelog left by repsys


* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.1-3mdk
- Fix file section

* Tue Feb 01 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.1-2mdk
- Sync with CVS

* Tue Feb 01 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.1-1mdk
- First Mandrakelinux release adapting Synce website's rpm

